<nz-table #data [nzData]="tableData" [nzNoResult]="elseTemplate">
  <thead>
    <tr>
      <th>
        First Name
      </th>
      <th>
        Last Name
      </th>
      <th>
        Age
      </th>
      <th>
        Email
      </th>
    </tr>
  </thead>
  <tbody>
        <tr *ngFor="let d of data.data">
          <td>{{d.FirstName}}</td>
          <td>{{d.LastName}}</td>
          <td>{{d.Age}}</td>
          <td>{{d.Email}}</td>
        </tr>
  </tbody>

</nz-table>

<ng-template #elseTemplate>
  <img src="assets/nodata.svg">
</ng-template>
